NewWacht Bench is live — AI-assisted development for Wacht
GET
/ai/agents

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Query Parameters

limit?integer
offset?integer
search?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/ai/agents"
{  "data": [    {      "id": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "name": "string",      "description": "string",      "deployment_id": "string",      "tools_count": 0,      "knowledge_bases_count": 0,      "sub_agents": [        "string"      ],      "reviewer_agent_id": "string",      "conversation_agent_id": "string",      "strong_model": {        "provider": "string",        "model": "string",        "profile_id": "string"      },      "weak_model": {        "provider": "string",        "model": "string",        "profile_id": "string"      },      "hooks": {        "execution_start": [          {            "tool_name": "string",            "args": null          }        ],        "before_llm": [          {            "tool_name": "string",            "args": null          }        ],        "after_llm": [          {            "tool_name": "string",            "args": null          }        ],        "before_tool": [          {            "tool_name": "string",            "args": null          }        ],        "after_tool": [          {            "tool_name": "string",            "args": null          }        ],        "on_budget_exhausted": [          {            "tool_name": "string",            "args": null          }        ],        "execution_end": [          {            "tool_name": "string",            "args": null          }        ]      },      "require_approval_mcp": true,      "require_approval_virtual": true,      "tool_approval_rules": [        {          "pattern": "string",          "action": "allow"        }      ],      "limits": {        "context_window_tokens": 0,        "run_token_budget": 0      },      "disabled_internal_tools": [        "string"      ]    }  ],  "total": 0,  "offset": 0,  "limit": 0}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}